package com.crm.manager.service;

import com.crm.rely.backend.core.entity.system.action.SysActionAddEntity;
import com.crm.rely.backend.core.entity.system.action.SysActionDeleteEntity;
import com.crm.rely.backend.core.entity.system.action.SysActionUpdateEntity;
import com.crm.rely.backend.core.entity.system.node.SysNodeAddEntity;
import com.crm.rely.backend.core.entity.system.node.SysNodeDeleteEntity;
import com.crm.rely.backend.core.entity.system.node.SysNodeUpdateEntity;
import com.crm.rely.backend.core.exception.ServiceException;

public interface AuthorityService {
    void add(SysActionAddEntity entity) throws ServiceException;

    void delete(SysActionDeleteEntity entity) throws ServiceException;

    void update(SysActionUpdateEntity entity) throws ServiceException;

    void add(SysNodeAddEntity entity) throws ServiceException;

    void delete(SysNodeDeleteEntity entity) throws ServiceException;

    void update(SysNodeUpdateEntity entity) throws ServiceException;

    String updateRedisAuthorityIdentification() throws ServiceException;
}
